### Method

# EDataServer NetworkMonitor set_gio_name

since: 3.22

#### Declaration [src]

    void
    e_network_monitor_set_gio_name (
      ENetworkMonitor* network_monitor,
      const gchar* gio_name
    )

#### Description [src]

Set a `gio_name` of the `GNetworkMonitor` implementation to use, can be `NULL`. Use `e_network_monitor_list_gio_names()` for a list of available implementations. A special value, `E_NETWORK_MONITOR_ALWAYS_ONLINE_NAME`, can be used to report the network as always reachable. When an unknown GIO name is used the default `GNetworkMonitor` implementation, as returned by the g_network_monitor_get_default(), will be used.

Available since: 3.22

Sets property | `EDataServer.NetworkMonitor:gio-name`

#### Parameters

`gio_name`

  Type: `const gchar*`

  A GIO name of a `GNetworkMonitor` implementation to use, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.